library('uoptr')

c <- 900.1

f <- function(x) {
    abs(x^2 - c)
}

g <- function(x) {
    res <- numericDeriv(quote(f(x)), c('x'), as.environment(list(f = f, x = x)))
    dz <- attr(res, 'gradient')
    z <- c(res)
    list(J = dz, f = z)
}

r <- uopt(13.2, f, g)
rv <- c(r)

show(rv)
show(rv^2 - c)

if (attr(r,'info')$status == 0) {
    cat(paste('The square root of', c, 'is', rv, 'error:', sqrt(c) - rv, '\n'))
}

stopifnot(attr(r,'info')$status == 0)
