import uopt
import numpy as np
import random
import sys

from rosenN import *

def run():

    N = 20

    v0 = np.ndarray((N,))
    for i in range(N):
        v0[i] = random.random()

    J = rosenNs(v0)
    y = rosenN(v0)
    Js = np.linalg.norm(y)**2
    print(J, Js, J -Js)

    vs = v0.copy()
    ys = y.copy()
    opts = {'tolGradAbs': -1, 'tolGradRel': -1}

    (rc, info) = uopt.usolve(v0, vs, ys, rosenNObj,
                             None, rosenNJacv, rosenNJacTv, rosenOutput,
                             opts, None)

    print(vs)
    print(ys)

    sys.exit(rc)

if __name__ == "__main__":
    run()
