library('testthat')
library('uoptr')

context('test-rosenN-Hv')

local({

test_that("Rosenbrock N-dim problem", {

    source('rosenN-Hv.R')

    fs <- obj(vs)

    show(c(vs))

    errX <- relmaxnorm(vs, rep(1, N))
    show(errX)

    xinfo <- attr(vs,"info")$exit
    cond <- xinfo$exit == "maxit reached" ||
        xinfo$exit == "search failure" ||
        xinfo$exit == "tolGradAbs reached" ||
        errX < 1e-2;

    show("Success")
    show(cond)

    expect_true(cond)

})

})
